org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplica

All Implemented Interfaces:
  Serializable, V2RequestSupport

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.AddReplica
    extends CollectionAdminRequest.AsyncCollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `collection`
`protected String` `coreName`
`protected String` `dataDir`
`protected String` `instanceDir`
`protected String` `node`
`protected Properties` `properties`
`protected String` `routeKey`
`protected String` `shard`
`protected Replica.Type` `type`
`protected String` `ulogDir`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDataDir()`
`String` `getInstanceDir()`
`String` `getNode()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`String` `getRouteKey()`
`String` `getUlogDir()`
`CollectionAdminRequest.AddReplica` `setCoreName(String coreName)`
`CollectionAdminRequest.AddReplica` `setDataDir(String dataDir)`
`CollectionAdminRequest.AddReplica` `setInstanceDir(String instanceDir)`
`CollectionAdminRequest.AddReplica` `setNode(String node)`
`CollectionAdminRequest.AddReplica` `setProperties(Properties properties)`
`CollectionAdminRequest.AddReplica` `setType(Replica.Type type)`
`CollectionAdminRequest.AddReplica` `setUlogDir(String ulogDir)`
`CollectionAdminRequest.AddReplica` `withProperty(String key, String value)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, getV2Request, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### collection

    protected String collection

#### shard

    protected String shard

#### node

    protected String node

#### coreName

    protected String coreName

#### routeKey

    protected String routeKey

#### instanceDir

    protected String instanceDir

#### dataDir

    protected String dataDir

#### ulogDir

    protected String ulogDir

#### properties

    protected Properties properties

#### type

    protected Replica.Type type

### Method Detail

#### getProperties

    public Properties getProperties()

#### setProperties

    public CollectionAdminRequest.AddReplica setProperties(Properties properties)

#### withProperty

    public CollectionAdminRequest.AddReplica withProperty(String key,
                                                          String value)

#### getNode

    public String getNode()

#### setNode

    public CollectionAdminRequest.AddReplica setNode(String node)

#### getRouteKey

    public String getRouteKey()

#### getInstanceDir

    public String getInstanceDir()

#### getUlogDir

    public String getUlogDir()

#### setInstanceDir

    public CollectionAdminRequest.AddReplica setInstanceDir(String instanceDir)

#### getDataDir

    public String getDataDir()

#### setDataDir

    public CollectionAdminRequest.AddReplica setDataDir(String dataDir)

#### setType

    public CollectionAdminRequest.AddReplica setType(Replica.Type type)

#### setCoreName

    public CollectionAdminRequest.AddReplica setCoreName(String coreName)

#### setUlogDir

    public CollectionAdminRequest.AddReplica setUlogDir(String ulogDir)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`